Bug 238767 - databases/postgresql{94,95,96,10,11}-*: update versions with fixed CVE-2019-10164
Summary: databases/postgresql{94,95,96,10,11}-*: update versions with fixed CVE-2019-1...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Palle Girgensohn
URL: https://www.postgresql.org/about/news...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-22 20:10 UTC by VVD
Modified: 2019-08-17 16:16 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2019-06-22 20:10:48 UTC
> Posted on 2019-06-20 by PostgreSQL Global Development Group
>
> The PostgreSQL Global Development Group has released an update to all supported versions of our database system, including 11.4, 10.9, 9.6.14, 9.5.18, and 9.4.23, as well as the second beta of PostgreSQL 12. This release fixes one security issue and over 25 bugs since the previous cumulative update in May.
Comment 1 Kirill Radzikhovskyy 2019-06-27 23:22:34 UTC
all versions updated eg 10.9,11.4 ( and other currently supported version)
have a serious regression in ALTER TABLE TYPE
We found out because our CI is running docker got updated

There is a fix upstream
Sorry if I am not allowed to link to github,
https://github.com/postgres/postgres/commit/f946a409143d01951411382fbc3c91c7eb640094

Just hope this saves someone time :-)
Comment 2 Kirill Radzikhovskyy 2019-06-27 23:25:25 UTC
I see updates just landed in ports :-) too late
Comment 3 Marcin Cieślak 2019-06-28 11:07:07 UTC
I think another release is under consideration to fix the ALTER TABLE regression?
Comment 4 VVD 2019-08-17 16:16:45 UTC
Next version in ports already.